﻿#language: ru

Функционал: Создание документов для использования аналогов в производстве

Сценарий: Аналоги по пакетам
	Дано Я подключаюсь под "Технолог"
	И В командном интерфейсе я выбираю 'Производство' 'Разрешения на замену материалов'
	Тогда открылось окно 'Разрешения на замену материалов'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Разрешение на замену материалов (создание)'
	И из выпадающего списка "Статус" я выбираю точное значение 'Утверждено'
	И в поле 'Указание по применению' я ввожу текст '67'
	И я нажимаю на гиперссылку "Действие"
	Тогда открылось окно 'Действие разрешения'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Разрешение на замену материалов (создание) *'
	И я перехожу к закладке "Замена"
	И в таблице "Материалы" я нажимаю на кнопку 'Добавить'
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Пакет '       |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Разрешение на замену материалов (создание) *'
	И в таблице "Материалы" в поле 'Количество' я ввожу текст '1,000'
	И в таблице "Материалы" я нажимаю на кнопку 'Добавить'
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'Пакет 2'       |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Разрешение на замену материалов (создание) *'
	И в таблице "Материалы" в поле 'Количество' я ввожу текст '1,000'
	И в таблице "Аналоги" я нажимаю на кнопку 'Добавить'
	И в таблице "Аналоги" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Пакет 2'       |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Разрешение на замену материалов (создание) *'
	И в таблице "Аналоги" в поле 'Количество' я ввожу текст '1,000'
	И в таблице "Аналоги" я нажимаю на кнопку 'Добавить'
	И в таблице "Аналоги" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Пакет '       |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Разрешение на замену материалов (создание) *'
	И в таблице "Аналоги" в поле 'Количество' я ввожу текст '1,000'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Разрешение на замену материалов (создание) *' в течение 20 секунд
	Тогда открылось окно 'Разрешения на замену материалов'
	И Я закрываю окно 'Разрешения на замену материалов'

Сценарий: Аналоги по ароматизаторам
	И В командном интерфейсе я выбираю 'Производство' 'Разрешения на замену материалов'
	Тогда открылось окно 'Разрешения на замену материалов'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Разрешение на замену материалов (создание)'
	И из выпадающего списка с именем "Статус" я выбираю точное значение 'Утверждено'
	И в поле 'Период действия с' я ввожу текст '05.05.2017'
	И в поле 'от' я ввожу текст '05.05.2017 12:14:15'
	И в поле 'Указание по применению' я ввожу текст 'Аналоги ароматизаторов'
	И я перехожу к закладке "Замена"
	И в таблице "Материалы" я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита с именем "МатериалыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'       |
		| 'Ароматизатор 13456' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Разрешение на замену материалов (создание) *'
	И в таблице "Материалы" в поле с именем 'МатериалыКоличество' я ввожу текст '1,000'
	И в таблице "Материалы" я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита с именем "МатериалыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                     |
		| 'Ароматизатор Масло 16256 (масло)' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Разрешение на замену материалов (создание) *'
	И в таблице "Материалы" в поле с именем 'МатериалыКоличество' я ввожу текст '1,000'
	И в таблице "Материалы" я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита с именем "МатериалыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                            |
		| 'Ароматизатор Топленое молоко 675995 сыр' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Разрешение на замену материалов (создание) *'
	И в таблице "Материалы" в поле с именем 'МатериалыКоличество' я ввожу текст '1,000'
	И в таблице "Аналоги" я нажимаю на кнопку с именем 'АналогиДобавить'
	И в таблице "Аналоги" я нажимаю кнопку выбора у реквизита с именем "АналогиНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'       |
		| 'Ароматизатор 13456' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Разрешение на замену материалов (создание) *'
	И в таблице "Аналоги" в поле с именем 'АналогиКоличество' я ввожу текст '1,000'
	И в таблице "Аналоги" я нажимаю на кнопку с именем 'АналогиДобавить'
	И в таблице "Аналоги" я нажимаю кнопку выбора у реквизита с именем "АналогиНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                     |
		| 'Ароматизатор Масло 16256 (масло)' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Разрешение на замену материалов (создание) *'
	И в таблице "Аналоги" в поле с именем 'АналогиКоличество' я ввожу текст '1,000'
	И в таблице "Аналоги" я нажимаю на кнопку с именем 'АналогиДобавить'
	И в таблице "Аналоги" я нажимаю кнопку выбора у реквизита с именем "АналогиНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                            |
		| 'Ароматизатор Топленое молоко 675995 сыр' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Разрешение на замену материалов (создание) *'
	И в таблице "Аналоги" в поле с именем 'АналогиКоличество' я ввожу текст '1,000'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Разрешение на замену материалов (создание) *' в течение 20 секунд
	Тогда открылось окно 'Разрешения на замену материалов'
	И Я закрываю окно 'Разрешения на замену материалов'

Сценарий: Аналоги по коробам
	И В командном интерфейсе я выбираю 'Производство' 'Разрешения на замену материалов'
	Тогда открылось окно 'Разрешения на замену материалов'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Разрешение на замену материалов (создание)'
	И из выпадающего списка с именем "Статус" я выбираю точное значение 'Утверждено'
	И в поле 'Период действия с' я ввожу текст '03.05.2017'
	И в поле 'от' я ввожу текст '03.05.2017 12:14:15'
	И в поле 'Указание по применению' я ввожу текст 'Аналоги коробов'
	И я перехожу к закладке "Замена"
	И в таблице "Материалы" я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита с именем "МатериалыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Короб' 	 |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Разрешение на замену материалов (создание) *'
	И в таблице "Материалы" в поле с именем 'МатериалыКоличество' я ввожу текст '1,000'
	И в таблице "Материалы" я нажимаю на кнопку с именем 'МатериалыДобавить'
	И в таблице "Материалы" я нажимаю кнопку выбора у реквизита с именем "МатериалыНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'Короб 150х200' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Разрешение на замену материалов (создание) *'
	И в таблице "Материалы" в поле с именем 'МатериалыКоличество' я ввожу текст '1,000'
	И в таблице "Аналоги" я нажимаю на кнопку с именем 'АналогиДобавить'
	И в таблице "Аналоги" я нажимаю кнопку выбора у реквизита с именем "АналогиНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Короб' 	 |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Разрешение на замену материалов (создание) *'
	И в таблице "Аналоги" в поле с именем 'АналогиКоличество' я ввожу текст '1,000'
	И в таблице "Аналоги" я нажимаю на кнопку с именем 'АналогиДобавить'
	И в таблице "Аналоги" я нажимаю кнопку выбора у реквизита с именем "АналогиНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'Короб 150х200' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Разрешение на замену материалов (создание) *'
	И в таблице "Аналоги" в поле с именем 'АналогиКоличество' я ввожу текст '1,000'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Разрешение на замену материалов (создание) *' в течение 20 секунд
	Тогда открылось окно 'Разрешения на замену материалов'
	И Я закрываю окно 'Разрешения на замену материалов'

Сценарий: 10_milk_scenario.01.000 Закрытие клиента тестирования
	И я закрываю сеанс TESTCLIENT